Updates the skill with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
skill| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the skill |
string |
Required Max length: 255 |
| description |
Description of the skill |
string |
Max length: 4000 |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating skill |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating skill |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "f45b175d-2d07-4e31-81c8-82f636c9fa94",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "192a994b-68b2-4205-bb02-2389f00bee10",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "74154756-d7c9-400b-888e-7756b9f21fef",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "37802fea-4a4a-48a2-9109-7da5fd6f86c0",
"db_currency_id": "19b16166-e67d-4d60-9ec3-27b2dfe1ee0c",
"db_language_id": "236de627-adda-4fd4-b5bb-5d52a54c7323",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-04T21:36:56.6121991+00:00"
},
"modified_dateutc": "2026-11-04T21:36:56.6121991+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.